<section class="inner-wrapper">
    <div class="example-loading-shade" *ngIf="isLoadingResults || isRateLimitReached">
        <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
        <div class="example-rate-limit-reached" *ngIf="isRateLimitReached">
            The API request limit has reached its limit. It will be reset in one minute.
        </div>
    </div>
    <mat-card class="example-card" *ngIf="!isLoadingResults">
        <mat-card-header>
            <div mat-card-avatar class="example-header-image"></div>
            <mat-card-title>{{ account.user.name }}</mat-card-title>
            <mat-card-subtitle>{{ account.fullAccount() }}</mat-card-subtitle>
        </mat-card-header>
        <section mat-dialog-content>
            <mat-tab-group>
                <mat-tab label="Account Details">
                    <mat-list>
                        <mat-list-item>
                            <mat-icon matListIcon>info</mat-icon>
                            <h3 matLine>CPF</h3>
                            <p matLine>
                                <span class="text-caption">{{ account.user.cpf | mask: '000.000.000-00 '}}</span>
                            </p>
                        </mat-list-item>
                        <mat-list-item>
                            <mat-icon matListIcon>today</mat-icon>
                            <p matLine>
                                <span class="text-caption">Account Opened Date</span>
                            </p>
                            <h3 matLine>
                                {{ account.createdOn | date: 'dd/MM/yyyy' }}
                            </h3>
                        </mat-list-item>
                        <mat-list-item>
                            <mat-icon matListIcon>attach_money</mat-icon>
                            <p matLine>
                                <span class="text-caption">Current Balance</span>
                            </p>
                            <h3 matLine>
                                {{ account.balance | currency: 'BRL':'symbol':'2.2-2'}}
                            </h3>
                        </mat-list-item>
                    </mat-list>
                </mat-tab>
            </mat-tab-group>
        </section>
    </mat-card>
</section>